"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "getMidiEventsForNotes", {
    enumerable: true,
    get: ()=>getMidiEventsForNotes
});
const _midiEvents = require("webaudio-tools/midi-events");
function getMidiEventsForNotes(notes, bars, sampleRate = 44100) {
    const midiEvents = [];
    // eslint-disable-next-line prefer-const
    for (let [i, [time, note, velocity, length]] of notes.entries()){
        if (time != null && note != null && velocity != null) {
            if (!length) {
                length = (notes[i + 1]?.[0] ?? bars) - time - 1 / sampleRate * 2;
            }
            midiEvents.push(...(0, _midiEvents.createMidiNoteEvents)(time, note, velocity, length));
        }
    }
    return midiEvents;
}

//# sourceMappingURL=event-util.js.map