import { Agent } from 'alice-bob';
import { SyncedSet } from 'synced-set';
import { SchedulerEventGroup, SchedulerTarget } from './scheduler-event';
import type { ImmSet } from 'immutable-map-set';
import type { SchedulerProcessor } from './scheduler-processor';
import type { SchedulerTargetNode } from './scheduler-target-node';
export interface SchedulerSyncedSetPayload {
    targets: ImmSet<SchedulerTarget>;
}
export declare class SchedulerNode extends EventTarget {
    context: BaseAudioContext;
    private static registeredCtx;
    static register(context: BaseAudioContext): Promise<void>;
    static create(context: BaseAudioContext): Promise<SchedulerNode>;
    node: AudioWorkletNode;
    worklet: Agent<SchedulerProcessor, SchedulerNode>;
    targetNodes: Set<SchedulerTargetNode>;
    eventGroups: SyncedSet<SchedulerEventGroup, SchedulerSyncedSetPayload>;
    addEventGroup(eventGroup: SchedulerEventGroup): SchedulerEventGroup;
    removeEventGroup(eventGroup: SchedulerEventGroup): void;
    requestNextEvents(eventGroupId: string, turn?: number, total?: number): void;
    constructor(context: BaseAudioContext);
    start(playbackStartTime?: number, offsetStartTime?: number): void;
    stop(): void;
    setBpm(bpm: number): void;
    setClockBuffer(clockBuffer: Float64Array): void;
    connect(targetNode: SchedulerTargetNode): SchedulerTargetNode;
    disconnect(targetNode: SchedulerTargetNode): void;
}
