/// <reference types="audioworklet" />
import { SyncedSet } from 'synced-set';
import type { SchedulerEvent, SchedulerEventGroup } from './scheduler-event';
import type { SchedulerNode, SchedulerSyncedSetPayload } from './scheduler-node';
import { Clock } from './clock';
export declare class SchedulerProcessor extends AudioWorkletProcessor {
    running: boolean;
    clock: Clock;
    blockSize: number;
    blockTime: number;
    diffTime: number;
    eventGroups: SyncedSet<SchedulerEventGroup, SchedulerSyncedSetPayload>;
    suspended: Set<string>;
    turns: Map<SchedulerEventGroup, Map<number, Set<SchedulerEvent>>>;
    node: SchedulerNode;
    constructor();
    setBpm(bpm: number): void;
    setClockBuffer(clockBuffer: Float64Array): void;
    start(playbackStartTime?: number, offsetStartTime?: number): void;
    stop(): void;
    suspendTarget(targetId: string): void;
    resumeTarget(targetId: string): void;
    clearEventGroup(eventGroupId: string): void;
    waitingEvents: Set<string>;
    receiveEvents(eventGroupId: string, turn: number, turns: Set<SchedulerEvent>[], clear?: boolean): void;
    process(): boolean;
    requestNextEvents(eventGroupId: string, turn: number, total: number): void;
}
