/// <reference types="audioworklet" />
import { MessageQueue } from './message-queue';
import { MIDIMessageEvent } from './midi';
export { MIDIMessageEvent };
export * from './clock';
export declare abstract class SchedulerTargetProcessor extends AudioWorkletProcessor {
    private midiQueue;
    private didError;
    isReady: boolean;
    constructor();
    resetError(): Promise<void>;
    init(buffer: MessageQueue['buffer']): Promise<void>;
    abstract processMidiEvents(midiEvents?: MIDIMessageEvent[]): void;
    abstract processWithMidi(inputs: Float32Array[][], outputs: Float32Array[][], parameters: Record<string, Float32Array>, midiEvents: MIDIMessageEvent[]): boolean;
    prevFrame: number;
    process(inputs: Float32Array[][], outputs: Float32Array[][], parameters: Record<string, Float32Array>): boolean;
}
